java.lang.UnsupportedClassVersionError

Update "latest" to Java 8 on DockerHub.

You're using an older version of java with classes compiled for java7

You have a different solution? A short tip here would help you and many other users who saw this issue last week.

  • Question on java.lang.UnsupportedClassVersionError
    via by Mark Curlette,
  • GitHub comment 1#260750427
    via GitHub by ibnesayeed
    ,
  • H2O Documentation
    via by Unknown author,
  • railo express not start on a mac
    via by Itcoder,
    • java.lang.UnsupportedClassVersionError: org/eclipse/emf/ecore/resource/Resource$Factory$Registry (Unsupported major.minor version 49.0) at java.lang.ClassLoader.defineClass0(Native Method) at java.lang.ClassLoader.defineClass(ClassLoader.java:810) at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:147) at java.net.URLClassLoader.defineClass(URLClassLoader.java:475) at java.net.URLClassLoader.access$500(URLClassLoader.java:109) at java.net.URLClassLoader$ClassFinder.run(URLClassLoader.java:848) at java.security.AccessController.doPrivileged1(Native Method) at java.security.AccessController.doPrivileged(AccessController.java:389) at java.net.URLClassLoader.findClass(URLClassLoader.java:371) at java.lang.ClassLoader.loadClass(ClassLoader.java:572) at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:442) at java.lang.ClassLoader.loadClass(ClassLoader.java:504)

    Users with the same issue

    Eric Henderson
    1 times, last one,
    Unknown visitor1 times, last one,
    Casper
    2 times, last one,
    Unknown visitor1 times, last one,
    chenjunjun
    1 times, last one,
    66 more bugmates